module Bytedance
	class FastlaneHelper

		def initialize()
			load_require
			@runner =  Fastlane::Runner.new
		end

		def load_require
          Dir[File.expand_path('*.rb', File.dirname(FileHelper.fastlane_action_path))].each do |file|
            require file
          end
          Dir[File.expand_path('*.rb', File.dirname(FileHelper.fastlane_helper_path))].each do |file|
              require file
          end
        end

        def execute_fastlane_action(action_name)
        	@runner.execute_action(action_name,@runner.class_reference_from_action_name(action_name),[],custom_dir:".")
        end

	end

  class FileHelper

    def self.fastlane_base_path
      File.dirname(`gem which fastlane`)
    end

    def self.fastlane_action_path
      FileHelper.fastlane_base_path + "/fastlane/actions/."
    end

    def self.fastlane_helper_path
      FileHelper.fastlane_base_path + "/fastlane/helper/."
    end

  end
end
