require 'fastlane/other_action'
require 'fastlane/fastlane_require'
require_relative '../file_help'

module Bytedance
  class BytedanceManager
    class Lib
      class Publish < Lib
        self.summary = ''

        def self.options
          [['--project', '是否引入平台基础库，默认引入，不引入使用--no-platform'],
          ['--repo', 'none 不引入任何组件，optional 选择自己想要的(default), all 引入全部组件，于平台一致'],
          ['--pod-version', '可选，默认 prefix = TT']].concat(super)
        end

        def initialize(params)
          super
          @fastlane_helper = FastlaneHelper.new
          @target_repo    = params.option('repo','optional')
          @target_project = params.option('project')
          @target_version = params.option('pod-version')
        end

        def validate!
          super
          if @components && !%w(none optional all).include?(@components)
          help! "`#{@components}' 参数无效，components = none 或 optional 或 all "          
        end

        if !@target_project
          help! "参数错误，需要输入项目名称，bytedance lib create projectName"
        end
        end

        def run
          super
          puts "Publish running"
          @fastlane_helper.execute_fastlane_action('git_pull')
        end

      end
    end
  end
end